Bug 1827531 - Point Cloud Library (.pcd) files not supported
Summary: Point Cloud Library (.pcd) files not supported
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cloudcompare
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1843118
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-24 06:22 UTC by Whistler
Modified: 2020-06-19 01:05 UTC (History)
1 user (show)

Fixed In Version: cloudcompare-2.9.1-8.fc32 cloudcompare-2.9.1-8.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-19 01:02:05 UTC
Type: Bug


Attachments (Terms of Use)
source code patch (590 bytes, patch)
2020-06-05 09:46 UTC, Whistler
no flags Details | Diff
spec file (9.34 KB, patch)
2020-06-05 09:46 UTC, Whistler
no flags Details | Diff

Description Whistler 2020-04-24 06:22:48 UTC
Description of problem:
Point Cloud Library (.pcd) files not supported by fedora version of CloudCompare

Version-Release number of selected component (if applicable):
2.9.1-6

How reproducible:
Always

Steps to Reproduce:
1. dnf install cloudcompare
2. Launch cloudcompare
3. Try to open a .pcd file

Actual results:
.pcd file cannot be opened

Expected results:
.pcd file should be opened correctly

Additional info:
as all the requirements are already in fedora (such as point cloud library), I see no reason why .pcd files cannot be supported.

Comment 1 Miro Hrončok 2020-04-24 11:04:50 UTC
Do you know how to fix this? Is update to a newer version needed?

Comment 2 Miro Hrončok 2020-06-03 10:07:11 UTC
I've just noticed https://src.fedoraproject.org/rpms/PDAL -- I suspect this might be needed \o/

Comment 3 Whistler 2020-06-05 09:46:07 UTC
Created attachment 1695398 [details]
source code patch

Comment 4 Whistler 2020-06-05 09:46:29 UTC
Created attachment 1695399 [details]
spec file

Comment 5 Whistler 2020-06-05 09:47:15 UTC
I've attached the patch and spec file I'm using personally.
works under Fedora 32 here

Comment 7 Fedora Update System 2020-06-07 18:22:54 UTC
FEDORA-2020-5245b04c6b has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-5245b04c6b

Comment 8 Fedora Update System 2020-06-07 18:22:58 UTC
FEDORA-2020-b61308130e has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-b61308130e

Comment 9 Fedora Update System 2020-06-11 19:20:25 UTC
cloudcompare-2.9.1-8.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b61308130e

Comment 10 Fedora Update System 2020-06-11 19:23:25 UTC
cloudcompare-2.9.1-8.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-5245b04c6b

Comment 11 Fedora Update System 2020-06-19 01:02:05 UTC
FEDORA-2020-b61308130e has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-06-19 01:05:32 UTC
FEDORA-2020-5245b04c6b has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.